bitel.billing.server.contract.object.bean

## Class ListValueManager

- java.lang.Object
- - bitel.billing.server.contract.object.bean.ListValueManager

-     public class ListValueManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListValueManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteValue(int id)` Удаление значения по его коду
    `ListValue` | `getValue(int id)` Возвращает списковое значение по его коду
    `java.util.List<ListValue>` | `getValues(int listParamId)` Получает список значений списковых параметров по коду параметра
    `java.util.Map<java.lang.Integer,ListValue>` | `getValuesMap()` Возвращает карту списковых значений параметров
    `void` | `updateValue(ListValue value)` Обновляет списковое значение

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListValueManager

          public ListValueManager(java.sql.Connection con)

  - ### Method Detail

    - #### getValuesMap

          public java.util.Map<java.lang.Integer,ListValue> getValuesMap()

      Возвращает карту списковых значений параметров
      Returns:

    - #### getValue

          public ListValue getValue(int id)

      Возвращает списковое значение по его коду
      Parameters:
        `id` - код значения
      Returns:

    - #### getValues

          public java.util.List<ListValue> getValues(int listParamId)

      Получает список значений списковых параметров по коду параметра
      Parameters:
        `listParamId` -
      Returns:

    - #### updateValue

          public void updateValue(ListValue value)

      Обновляет списковое значение
      Parameters:
        `value` - списковое значение

    - #### deleteValue

          public void deleteValue(int id)

      Удаление значения по его коду
      Parameters:
        `id` - код значения